Bug 11637 - exception in mouse.py with 4/07 updated images
Summary: exception in mouse.py with 4/07 updated images
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 11615
TreeView+ depends on / blocked
 
Reported: 2000-05-24 16:14 UTC by Jeff Blaine
Modified: 2007-04-18 16:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-23 15:22:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Blaine 2000-05-24 16:14:53 UTC
with bootnet.img from 4/07/2000 and update-disk from 4/07/2000
(per Bug Fix Advisory ID RHBA-2000:010-01), I get the following
exception/traceback during a portion of a kickstart done as
'linux updates ks=floppy':

...
File "/usr/lib/anaconda/mouse.py", line 93, in __init__
    apply(self.set, mouseType)
File "/usr/lib/anaconda/mouse.py", line 139, in set
    (gpm, x11, dev, em) = self.mice[mouse]
KeyError: none

If I go into 'Debug' and 'print mouse' it returns 'none'
(not None).

Note that RH6.2 kickstarts prior to these updated disks (that is,
the images that came with RH62 on CD) did not throw this
exception.

For what it's worth, my kickstart directives related to X
and mice are:

# probe, find
mouse
# probe, find
xconfig --card --monitor --startxonboot

Comment 1 Jeff Blaine 2000-06-07 17:48:08 UTC
Is anything ever going to happen with this?  This bug is 15 days old and
is blocking our entire automated rollout of RH62 via kickstart.

Comment 2 Michael Fulbright 2000-06-09 14:14:05 UTC
This bug has been assigned to the test lab to try to reproduce.

Comment 3 Brock Organ 2000-06-12 14:07:49 UTC
verified in test lab w/above mouse & xconfig lines  ... setting explicit mouse
avoids the error (ie mouse genericps2, or similar) ... this occurs both with
original zoot boot disks and updates ...

Comment 4 Brock Organ 2000-06-12 15:17:35 UTC
this issue is fixed in the next release...

Comment 5 Michael Fulbright 2000-06-22 18:13:22 UTC
Please verify fix works.

Comment 6 Brock Organ 2000-06-23 15:22:25 UTC
verified w/generic 3 button ps2 mouse ...


Note You need to log in before you can comment on or make changes to this bug.